Debian Bug report logs - #452410
Boost python examples fails to build

version graph

Package: libboost1.37-doc; Maintainer for libboost1.37-doc is (unknown);

Reported by: Gonsolo <gonsolo@gmail.com>

Date: Thu, 22 Nov 2007 17:54:01 UTC

Severity: normal

Fixed in version boost1.38/1.38.0-7

Done: smr@debian.org (Steve M. Robbins)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#452410; Package boost. Full text and rfc822 format available.

Acknowledgement sent to Gonsolo <gonsolo@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gonsolo <gonsolo@gmail.com>
To: submit@bugs.debian.org
Subject: Boost python examples fails to build
Date: Thu, 22 Nov 2007 18:44:48 +0100
Package: boost
Version: 1.34
Severity: normal

--- Please enter the report below this line. ---


1. Install libboost-doc
2. Go to /usr/share/doc/libboost-doc/examples/libs/python/example
3. As suggested in the README, run: "bjam test"

The following error occurs:

Jamroot:18: in modules.load
rule python-extension unknown in module
Jamfile</usr/share/doc/libboost-doc/examples/libs/python/example>.
/usr/share/boost-build/build/project.jam:312: in load-jamfile
/usr/share/boost-build/build/project.jam:68: in load
/usr/share/boost-build/build/project.jam:170: in project.find
/usr/share/boost-build/build-system.jam:148: in load
/usr/share/boost-build/kernel/modules.jam:261: in import
/usr/share/boost-build/kernel/bootstrap.jam:132: in boost-build
/usr/share/doc/libboost-doc/examples/libs/python/example/boost-build.jam:7: in module scope



--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.22-14-generic

Debian Release: lenny/sid
  500 gutsy-updates   de.archive.ubuntu.com 
  500 gutsy-security  security.ubuntu.com 
  500 gutsy           de.archive.ubuntu.com 

--- Package information. ---
Depends       (Version) | Installed
=======================-+-===========
                        | 






Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#452410; Package boost. Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #10 received at 452410@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: 452410@bugs.debian.org
Subject: Related to lack of system Jamfiles?
Date: Sun, 3 Aug 2008 00:15:26 -0500
[Message part 1 (text/plain, inline)]
With Boost 1.35, the error message is slightly different:


Unable to load Boost.Build: could not find build system.
---------------------------------------------------------
/usr/share/doc/libboost1.35-doc/examples/libs/python/example/boost-build.jam attempted to load the build system by invoking

   'boost-build ../../../tools/build/v2 ;'

but we were unable to find "bootstrap.jam" in the specified directory
or in BOOST_BUILD_PATH (searching /usr/share/doc/libboost1.35-doc/examples/libs/python/example/../../../tools/build/v2, /usr/share/boost-build).



This suggests that the issue is missing the system Jam files as
requested in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=490380

-Steve
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `boost' to `libboost1.37-doc'. Request was from "Steve M. Robbins" <steve@sumost.ca> to control@bugs.debian.org. (Mon, 16 Feb 2009 20:30:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>:
Bug#452410; Package libboost1.37-doc. (Thu, 21 May 2009 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Georg Schmid <georg.schmid@istag.ch>:
Extra info received and forwarded to list. Copy sent to Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>. (Thu, 21 May 2009 20:27:03 GMT) Full text and rfc822 format available.

Message #17 received at 452410@bugs.debian.org (full text, mbox):

From: Georg Schmid <georg.schmid@istag.ch>
To: 452410@bugs.debian.org
Subject: System Jamfiles not strictly needed
Date: Thu, 21 May 2009 22:17:15 +0200
Hi Steve,

I was trying to build the Boost python tutorial (e.g.
/usr/share/doc/libboost1.35-doc/examples/libs/python/example/tutorial/) on my
Lenny machine as well. It is true, like you say, that if the system Jamfiles are
available, then the Jamroot given in the tutorial works.

What the Jamroot does however is include the build of boost itself and specify a
requirement on the (to be built) libboost_python. But on Debian, this library
has already been built and packaged. So I suggest to modify the Jamroot of the
tutorial so that it references the installed library instead of adding the
system Jamfiles (at least for this bug, adding them may still be useful).

The patch:

--- Jamroot     2009-05-21 22:01:18.000000000 +0200
+++ Jamroot.debian      2009-05-21 21:59:36.000000000 +0200
@@ -2,16 +2,17 @@
 # Software License, Version 1.0. (See accompanying
 # file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)

-# Specify the path to the Boost project.  If you move this project,
-# adjust this path to refer to the Boost root directory.
-use-project boost
-  : ../../../.. ;
+using python ;
+
+# Specify that the boost-python library exists under the name
+# boost_python. That is, because the library was installed at the
+# standard search path as /usr/lib/libboost_python.so, bjam will find
+# it automatically. No need to specify the absolute path.
+lib libboost_python : : <name>boost_python ;

 # Set up the project-wide requirements that everything uses the
-# boost_python library from the project whose global ID is
-# /boost/python.
-project
-  : requirements <library>/boost/python//boost_python ;
+# boost_python library.
+project : requirements <library>libboost_python ;

 # Declare the three extension modules.  You can specify multiple
 # source files after the colon separated by spaces.



Cheers, Georg




Reply sent to smr@debian.org (Steve M. Robbins):
You have taken responsibility. (Tue, 30 Jun 2009 05:42:10 GMT) Full text and rfc822 format available.

Notification sent to Gonsolo <gonsolo@gmail.com>:
Bug acknowledged by developer. (Tue, 30 Jun 2009 05:42:10 GMT) Full text and rfc822 format available.

Message #22 received at 452410-close@bugs.debian.org (full text, mbox):

From: smr@debian.org (Steve M. Robbins)
To: 452410-close@bugs.debian.org
Subject: Bug#452410: fixed in boost1.38 1.38.0-7
Date: Tue, 30 Jun 2009 05:18:06 +0000
Source: boost1.38
Source-Version: 1.38.0-7

We believe that the bug you reported is fixed in the latest version of
boost1.38, which is due to be installed in the Debian FTP archive:

boost1.38_1.38.0-7.diff.gz
  to pool/main/b/boost1.38/boost1.38_1.38.0-7.diff.gz
boost1.38_1.38.0-7.dsc
  to pool/main/b/boost1.38/boost1.38_1.38.0-7.dsc
libboost-date-time1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-date-time1.38-dev_1.38.0-7_amd64.deb
libboost-date-time1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-date-time1.38.0_1.38.0-7_amd64.deb
libboost-filesystem1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-filesystem1.38-dev_1.38.0-7_amd64.deb
libboost-filesystem1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-filesystem1.38.0_1.38.0-7_amd64.deb
libboost-graph1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-graph1.38-dev_1.38.0-7_amd64.deb
libboost-graph1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-graph1.38.0_1.38.0-7_amd64.deb
libboost-iostreams1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-iostreams1.38-dev_1.38.0-7_amd64.deb
libboost-iostreams1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-iostreams1.38.0_1.38.0-7_amd64.deb
libboost-math1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-math1.38-dev_1.38.0-7_amd64.deb
libboost-math1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-math1.38.0_1.38.0-7_amd64.deb
libboost-mpi1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-mpi1.38-dev_1.38.0-7_amd64.deb
libboost-mpi1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-mpi1.38.0_1.38.0-7_amd64.deb
libboost-program-options1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-program-options1.38-dev_1.38.0-7_amd64.deb
libboost-program-options1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-program-options1.38.0_1.38.0-7_amd64.deb
libboost-python1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-python1.38-dev_1.38.0-7_amd64.deb
libboost-python1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-python1.38.0_1.38.0-7_amd64.deb
libboost-regex1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-regex1.38-dev_1.38.0-7_amd64.deb
libboost-regex1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-regex1.38.0_1.38.0-7_amd64.deb
libboost-serialization1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-serialization1.38-dev_1.38.0-7_amd64.deb
libboost-serialization1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-serialization1.38.0_1.38.0-7_amd64.deb
libboost-signals1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-signals1.38-dev_1.38.0-7_amd64.deb
libboost-signals1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-signals1.38.0_1.38.0-7_amd64.deb
libboost-system1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-system1.38-dev_1.38.0-7_amd64.deb
libboost-system1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-system1.38.0_1.38.0-7_amd64.deb
libboost-test1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-test1.38-dev_1.38.0-7_amd64.deb
libboost-test1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-test1.38.0_1.38.0-7_amd64.deb
libboost-thread1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-thread1.38-dev_1.38.0-7_amd64.deb
libboost-thread1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-thread1.38.0_1.38.0-7_amd64.deb
libboost-wave1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-wave1.38-dev_1.38.0-7_amd64.deb
libboost-wave1.38.0_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost-wave1.38.0_1.38.0-7_amd64.deb
libboost1.38-dbg_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost1.38-dbg_1.38.0-7_amd64.deb
libboost1.38-dev_1.38.0-7_amd64.deb
  to pool/main/b/boost1.38/libboost1.38-dev_1.38.0-7_amd64.deb
libboost1.38-doc_1.38.0-7_all.deb
  to pool/main/b/boost1.38/libboost1.38-doc_1.38.0-7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452410@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Steve M. Robbins <smr@debian.org> (supplier of updated boost1.38 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 29 Jun 2009 21:50:17 -0500
Source: boost1.38
Binary: libboost1.38-dbg libboost1.38-dev libboost1.38-doc libboost-date-time1.38.0 libboost-date-time1.38-dev libboost-filesystem1.38.0 libboost-filesystem1.38-dev libboost-graph1.38.0 libboost-graph1.38-dev libboost-iostreams1.38.0 libboost-iostreams1.38-dev libboost-math1.38.0 libboost-math1.38-dev libboost-mpi1.38.0 libboost-mpi1.38-dev libboost-program-options1.38.0 libboost-program-options1.38-dev libboost-python1.38.0 libboost-python1.38-dev libboost-regex1.38.0 libboost-regex1.38-dev libboost-serialization1.38.0 libboost-serialization1.38-dev libboost-signals1.38.0 libboost-signals1.38-dev libboost-system1.38.0 libboost-system1.38-dev libboost-test1.38.0 libboost-test1.38-dev libboost-thread1.38.0 libboost-thread1.38-dev libboost-wave1.38.0 libboost-wave1.38-dev
Architecture: source all amd64
Version: 1.38.0-7
Distribution: unstable
Urgency: low
Maintainer: Debian Boost Team <pkg-boost-devel@lists.alioth.debian.org>
Changed-By: Steve M. Robbins <smr@debian.org>
Description: 
 libboost-date-time1.38-dev - set of date-time libraries based on generic programming concepts
 libboost-date-time1.38.0 - set of date-time libraries based on generic programming concepts
 libboost-filesystem1.38-dev - filesystem operations (portable paths, iteration over directories
 libboost-filesystem1.38.0 - filesystem operations (portable paths, iteration over directories
 libboost-graph1.38-dev - generic graph components and algorithms in C++
 libboost-graph1.38.0 - generic graph components and algorithms in C++
 libboost-iostreams1.38-dev - Boost.Iostreams Library development files
 libboost-iostreams1.38.0 - Boost.Iostreams Library
 libboost-math1.38-dev - Boost.Math Library development files
 libboost-math1.38.0 - Boost.Math Library
 libboost-mpi1.38-dev - C++ interface to the Message Passing Interface (MPI)
 libboost-mpi1.38.0 - C++ interface to the Message Passing Interface (MPI)
 libboost-program-options1.38-dev - program options library for C++
 libboost-program-options1.38.0 - program options library for C++
 libboost-python1.38-dev - Boost.Python Library development files
 libboost-python1.38.0 - Boost.Python Library
 libboost-regex1.38-dev - regular expression library for C++
 libboost-regex1.38.0 - regular expression library for C++
 libboost-serialization1.38-dev - serialization library for C++
 libboost-serialization1.38.0 - serialization library for C++
 libboost-signals1.38-dev - managed signals and slots library for C++
 libboost-signals1.38.0 - managed signals and slots library for C++
 libboost-system1.38-dev - Operating system (e.g. diagnostics support) library
 libboost-system1.38.0 - Operating system (e.g. diagnostics support) library
 libboost-test1.38-dev - components for writing and executing test suites
 libboost-test1.38.0 - components for writing and executing test suites
 libboost-thread1.38-dev - portable C++ multi-threading
 libboost-thread1.38.0 - portable C++ multi-threading
 libboost-wave1.38-dev - C99/C++ preprocessor library
 libboost-wave1.38.0 - C99/C++ preprocessor library
 libboost1.38-dbg - Boost C++ Libraries with debug symbols
 libboost1.38-dev - Boost C++ Libraries development files
 libboost1.38-doc - Boost.org libraries documentation
Closes: 452410 529258 529622 531415 531653
Changes: 
 boost1.38 (1.38.0-7) unstable; urgency=low
 .
   * control(libboost1.38-dev): downgrade the -doc and all -dev packages to Suggests.
     Closes: #529258, #529622.  Add Replaces and Provides for "bcp" since the contents
     of that package is now provided in -dev.
 .
   * control: Add build-conflict against boost-build;
     otherwise bjam fails with diagnostic "duplicate initialization of gcc ..."
     because both /etc/site-config.jam and ./user-config.jam have
     "using gcc" lines.
 .
   * patches/boost-python-examples.patch: New.  Patch example Jamroot to
     use installed libboost_python (thanks, Georg Schmid).
     Closes: #452410.
 .
   * rules: Set OMPI_MCA_disable_memory_allocator=1 to work around bad
     interaction between fakeroot and OpenMPI.  Closes: #531415.
   * control: Build-conflict with libopenmpi-dev version in unstable that
     contains this bug.
 .
   * libboost-doc.README.Debian: Explain how to build Boost.Python
     examples.
 .
   * rules: Build and install tools inspect and quickbook.  Closes: #531653.
   * control: Add suggests for xsltproc, doxygen, docbook-xml, docbook-xsl,
     default-jdk, and fop to support quickbook.
Checksums-Sha1: 
 2c9e4fb2a8e1ae96d860d8e07436da9802d40488 2296 boost1.38_1.38.0-7.dsc
 9f80917d2fd82d468a908373e9d882dd61022285 85789 boost1.38_1.38.0-7.diff.gz
 61c27516eb3293f048b96377eed55cc6bb44ef50 36800282 libboost1.38-doc_1.38.0-7_all.deb
 4890be39cc3870fc88182dda75f581f96001174a 53173784 libboost1.38-dbg_1.38.0-7_amd64.deb
 8cbe4e33cfae7d00b1d418a1f2ba26936ea4bc8e 4320876 libboost1.38-dev_1.38.0-7_amd64.deb
 c11c13b40c119c2c343f607a3fa9ea2fe75732ce 41960 libboost-date-time1.38.0_1.38.0-7_amd64.deb
 e071fe6a85f148f0bfcee29f5129dc776f4f1093 170542 libboost-date-time1.38-dev_1.38.0-7_amd64.deb
 6e24e7902a5b9365f3571eec3ccc0badb75ba3d2 46332 libboost-filesystem1.38.0_1.38.0-7_amd64.deb
 c21dbd6497766653bf8e0b8e362da23ff547a3ed 77424 libboost-filesystem1.38-dev_1.38.0-7_amd64.deb
 fee7058cc413e5642aa6b831bf9065e431d7c2fc 122304 libboost-graph1.38.0_1.38.0-7_amd64.deb
 b3ed48de261eb50d921028b7c101aee0fa5cc4ff 415858 libboost-graph1.38-dev_1.38.0-7_amd64.deb
 4031ec258cc024120774a6a04a72fcf87684ced2 35310 libboost-iostreams1.38.0_1.38.0-7_amd64.deb
 e7c88ffe46e2fe2d7813008fd368f9a6f909cd7a 133746 libboost-iostreams1.38-dev_1.38.0-7_amd64.deb
 ac9bdd76d6d4157e092588ff08a102a6453806a0 426750 libboost-math1.38.0_1.38.0-7_amd64.deb
 4fb66c96be35c9e46f0496752645374fd7a532bb 2102122 libboost-math1.38-dev_1.38.0-7_amd64.deb
 51d53bf9b465b502e4890f70b7a277a900289a76 105350 libboost-mpi1.38.0_1.38.0-7_amd64.deb
 5fdf06d570cdaf4108c3905f6c8403292866e060 634712 libboost-mpi1.38-dev_1.38.0-7_amd64.deb
 a2d2f07c6583fe13e7b6887b59f26c449cd88a26 117352 libboost-program-options1.38.0_1.38.0-7_amd64.deb
 33fd5c36b435d34293bb29fc82b1d197fc8aac2b 193008 libboost-program-options1.38-dev_1.38.0-7_amd64.deb
 08624f0f73893a7d883b78c1b1bb151952695cbe 242222 libboost-python1.38.0_1.38.0-7_amd64.deb
 67826715e17e685ce5d698ff643b1bd238620fdc 495724 libboost-python1.38-dev_1.38.0-7_amd64.deb
 5fdaaab1f05721485e9603651249d10f0f8bfcbe 336982 libboost-regex1.38.0_1.38.0-7_amd64.deb
 f81f363cb524d938d3811ce7cfd8bda101adf46f 622352 libboost-regex1.38-dev_1.38.0-7_amd64.deb
 1303a5adc3e17c7766981ee629be489941e61276 235614 libboost-serialization1.38.0_1.38.0-7_amd64.deb
 b1e99382b6f1f7df8d748bb1aa58dc0132858013 386122 libboost-serialization1.38-dev_1.38.0-7_amd64.deb
 a411fecc1670edba0847950e57745431b5b9913e 47136 libboost-signals1.38.0_1.38.0-7_amd64.deb
 901806472377250bff5e5a11a6bdabf3eb50f6cd 69104 libboost-signals1.38-dev_1.38.0-7_amd64.deb
 5274eb1389a8ffe455a0d7b1edda43077c12e61f 24532 libboost-system1.38.0_1.38.0-7_amd64.deb
 8f09483c29bb64d84d158f8c4e88d8bde1d97c33 33278 libboost-system1.38-dev_1.38.0-7_amd64.deb
 3a373fbf368b4e043822e4e6811868c579c93e5d 180772 libboost-test1.38.0_1.38.0-7_amd64.deb
 4726657fff71b8ad6b00a639e8e2f126c6843190 382880 libboost-test1.38-dev_1.38.0-7_amd64.deb
 5067721de73383c102b04f86e88f9f69029c4541 46546 libboost-thread1.38.0_1.38.0-7_amd64.deb
 35067684cac041af5ea18bdb2f7f39a3634252df 80704 libboost-thread1.38-dev_1.38.0-7_amd64.deb
 f5ac41ac185cbe8f6a870ff3a2686f025a9a2671 247156 libboost-wave1.38.0_1.38.0-7_amd64.deb
 2c1d0398ba21a0332611b53bf3e4131a2c7dd99b 550658 libboost-wave1.38-dev_1.38.0-7_amd64.deb
Checksums-Sha256: 
 8bb49b9dda648be20f9eb0d0176c760a4ae1da68ad7bc6de52b198d00f62a6e6 2296 boost1.38_1.38.0-7.dsc
 70c8aeaddeaafefd15376c5b2e43c019f0f83622e8b15fd1b8543eece9292240 85789 boost1.38_1.38.0-7.diff.gz
 6525ee129e79893edc52a136bcc5eaeae61907cc056ae0fb94560df53d963cee 36800282 libboost1.38-doc_1.38.0-7_all.deb
 363888f4f030b96ac7de47285c4782b626d8b975b58db7ec5a5e1b93d591ad90 53173784 libboost1.38-dbg_1.38.0-7_amd64.deb
 37dca1f6cc43bd01d1c86eb3e41157bc03288c3d933209e1989f796a362a1bdd 4320876 libboost1.38-dev_1.38.0-7_amd64.deb
 b592bbfc3fc911a88710876000dda9ce1f288d8801bee268ce75c79e0e98a998 41960 libboost-date-time1.38.0_1.38.0-7_amd64.deb
 e7727ade0aedc1349cad22914a31e25190d816221d8728aef88c575696e3faa4 170542 libboost-date-time1.38-dev_1.38.0-7_amd64.deb
 a9ecbeb1db622d2375c87918a5859c060b5bab2fae68e01a396f18e8079f24b6 46332 libboost-filesystem1.38.0_1.38.0-7_amd64.deb
 3b7ff6cff8c9d091875cc36037e9c1da3fd649b36485fac17a4d4c8188621d5e 77424 libboost-filesystem1.38-dev_1.38.0-7_amd64.deb
 f775ea0f5a9b30422fb674133459ea86f2ee3a1d48a33af7acee437c57e0db02 122304 libboost-graph1.38.0_1.38.0-7_amd64.deb
 c8c598c8b8cdbdb5a9e79ee0d3d4a5788ebc6a027ec9b2d03e28319a1bd9be17 415858 libboost-graph1.38-dev_1.38.0-7_amd64.deb
 f8757167708712a1877e4ad3237db0fda17a55c2456e1968d37a60b01d3f8df7 35310 libboost-iostreams1.38.0_1.38.0-7_amd64.deb
 217b677cb3a83cb21318075e17f6d840cd8c8ccc23feca10650468dd75c00d3e 133746 libboost-iostreams1.38-dev_1.38.0-7_amd64.deb
 7719524c25b29995d70140ecad60805155025652744b6774bdb9be3b18f546d5 426750 libboost-math1.38.0_1.38.0-7_amd64.deb
 0e347c4dba86cd9302dfdf202731f27be9e9db769c3f52c6c85269341d7baf89 2102122 libboost-math1.38-dev_1.38.0-7_amd64.deb
 a5bc56f9fcf526e2d090296143f5ee61e53068d00e1371e91a7eac2c5736fffb 105350 libboost-mpi1.38.0_1.38.0-7_amd64.deb
 2d94ecb1558d787a6ac0e5bf277fd32b363046b26a936ce30610fc45cdfff575 634712 libboost-mpi1.38-dev_1.38.0-7_amd64.deb
 ad0c16b491c2bf32e07e032685136688462c00ccaf60f34aeb87155da98a5288 117352 libboost-program-options1.38.0_1.38.0-7_amd64.deb
 9929e72f21e99139796e6838ea0ce634f79e2559ca528ec048a544542d7f55e8 193008 libboost-program-options1.38-dev_1.38.0-7_amd64.deb
 6f48c04595b87916454704d8cfa3fcb70d84b4c2a7a480338260c2e707ffad38 242222 libboost-python1.38.0_1.38.0-7_amd64.deb
 4c6fa707c8c383f6af3c5c3453ee5e99c4916dda44a5f8effb4cdbd933d67f2f 495724 libboost-python1.38-dev_1.38.0-7_amd64.deb
 372f001c1de6f4f0ee6ead2e8638530544cac959768786cbecf6825456843995 336982 libboost-regex1.38.0_1.38.0-7_amd64.deb
 cfb1bf1eb1e7e58e8383f02c9f87f261ae1c9cf529e4c64708509e9d4466e289 622352 libboost-regex1.38-dev_1.38.0-7_amd64.deb
 239fec463f2e4798b1d573466048ff8004e3f157f1274935375541c38354ca24 235614 libboost-serialization1.38.0_1.38.0-7_amd64.deb
 e2dba62804e7134d950c3d5a8edb4195c49805f69f6b023e66a55615ee9af2e8 386122 libboost-serialization1.38-dev_1.38.0-7_amd64.deb
 1aa8a1131b86853949f176cdea4c546bbf0f339ddea3cad0ba0dd304f0ca23e5 47136 libboost-signals1.38.0_1.38.0-7_amd64.deb
 6bcf77d7d8405dbadd1aa707442368adf1c672c270cce76f8a7eaf9aa848de41 69104 libboost-signals1.38-dev_1.38.0-7_amd64.deb
 c7eea5d91b908b760d665a16382b11c1aef2ed1a625f3dd70716a5660a391ba9 24532 libboost-system1.38.0_1.38.0-7_amd64.deb
 f49077662cb45d92e49678a5b84efa23c96fb4ca9319a06220ce93404e52e420 33278 libboost-system1.38-dev_1.38.0-7_amd64.deb
 9069cfbb0478b03a929e60c62b9613ad88d25abe2f45033f90573dd98c10709d 180772 libboost-test1.38.0_1.38.0-7_amd64.deb
 0072df3e2901ef7cdcbdb1622df62549da4a5959fe20f043284ba6b4d75adf7d 382880 libboost-test1.38-dev_1.38.0-7_amd64.deb
 ba967f1bcd6ad838277e7c1f49b9b4d12091ffb484e5b9e50ddf652eddb08f14 46546 libboost-thread1.38.0_1.38.0-7_amd64.deb
 bfd3ccf537ca3a34f4b98d57687faeeb9687053b2f358d7ceefd150ca53a2916 80704 libboost-thread1.38-dev_1.38.0-7_amd64.deb
 528bcac8560f9121cef618d3ca04a4e10d55748640308b684b5864bd1317c808 247156 libboost-wave1.38.0_1.38.0-7_amd64.deb
 050ecce5bd9bbd1da8ed56fdccde84a36186c6f2065648297038932aa431e95c 550658 libboost-wave1.38-dev_1.38.0-7_amd64.deb
Files: 
 6d7c373130fcca85432ea0d055f4203f 2296 libs optional boost1.38_1.38.0-7.dsc
 6d17253cf5de2ee952848e2714c8fb28 85789 libs optional boost1.38_1.38.0-7.diff.gz
 35bf9a4ceadb3850e0398edd2b76a7d7 36800282 doc optional libboost1.38-doc_1.38.0-7_all.deb
 9260ffccfc24fc810c34653aa58c2a02 53173784 debug extra libboost1.38-dbg_1.38.0-7_amd64.deb
 b7d61b85bc354113033f1fd935808f92 4320876 libdevel optional libboost1.38-dev_1.38.0-7_amd64.deb
 a17067e34b33a918a69ad9c6a6ed769d 41960 libs optional libboost-date-time1.38.0_1.38.0-7_amd64.deb
 18aa622eb449972451bd19e353cfd58c 170542 libdevel optional libboost-date-time1.38-dev_1.38.0-7_amd64.deb
 c7499c85e5908cf39d3484405ab2ec50 46332 libs optional libboost-filesystem1.38.0_1.38.0-7_amd64.deb
 249c45e82a134fa830840a8738afbabb 77424 libdevel optional libboost-filesystem1.38-dev_1.38.0-7_amd64.deb
 4270e0e8c84a33b7c26fcb92bce048c3 122304 libs optional libboost-graph1.38.0_1.38.0-7_amd64.deb
 0a4e71f913cebabe4f1f5f9960d4baf8 415858 libdevel optional libboost-graph1.38-dev_1.38.0-7_amd64.deb
 9e23688b5a880651ced5f500ababc3ec 35310 libs optional libboost-iostreams1.38.0_1.38.0-7_amd64.deb
 21b844bdb64acb6e385e593394d0919c 133746 libdevel optional libboost-iostreams1.38-dev_1.38.0-7_amd64.deb
 01996b3a8d9241fa26dab0672d429e59 426750 libs optional libboost-math1.38.0_1.38.0-7_amd64.deb
 c017f67d9b867efe45110a9d84f38a13 2102122 libdevel optional libboost-math1.38-dev_1.38.0-7_amd64.deb
 8148f74770eb50bcb84d7c6aefc6753a 105350 libs optional libboost-mpi1.38.0_1.38.0-7_amd64.deb
 e02cf263a8337911880491135a00c6a2 634712 libdevel optional libboost-mpi1.38-dev_1.38.0-7_amd64.deb
 d309a1e564d4cd09b61c677080728090 117352 libs optional libboost-program-options1.38.0_1.38.0-7_amd64.deb
 850eaacba6ab2ff13090bdd329dacfc9 193008 libdevel optional libboost-program-options1.38-dev_1.38.0-7_amd64.deb
 b74b79de0e197eecda85ef5e0c6c0660 242222 python optional libboost-python1.38.0_1.38.0-7_amd64.deb
 ce651c817027c8da5a98657c8d87d30e 495724 libdevel optional libboost-python1.38-dev_1.38.0-7_amd64.deb
 e1ba480e10ee7a2aaaef4f62f5909ca4 336982 libs optional libboost-regex1.38.0_1.38.0-7_amd64.deb
 e4c0920981b8318663fd02d5f6ae9b76 622352 libdevel optional libboost-regex1.38-dev_1.38.0-7_amd64.deb
 7b1be484bc8a6fa24d47ca42b5f59e48 235614 libs optional libboost-serialization1.38.0_1.38.0-7_amd64.deb
 fc9c32af6ebaae256db58dc8534fcd2e 386122 libdevel optional libboost-serialization1.38-dev_1.38.0-7_amd64.deb
 0a8cca56ed070ffba6eb56810a042980 47136 libs optional libboost-signals1.38.0_1.38.0-7_amd64.deb
 233fdbe4397b332dd33d1991e81a22b4 69104 libdevel optional libboost-signals1.38-dev_1.38.0-7_amd64.deb
 be4150981fe24ee73d38a9da99029c56 24532 libs optional libboost-system1.38.0_1.38.0-7_amd64.deb
 9beb9ebed22ec6c35853b63fc07e9766 33278 libdevel optional libboost-system1.38-dev_1.38.0-7_amd64.deb
 cd03acd7f04441142c3a95d34b5a840e 180772 libs optional libboost-test1.38.0_1.38.0-7_amd64.deb
 049b0a12c12a4dfd5cd7f390a82a919c 382880 libdevel optional libboost-test1.38-dev_1.38.0-7_amd64.deb
 30735f540a5556b106b7e18ef0c01764 46546 libs optional libboost-thread1.38.0_1.38.0-7_amd64.deb
 17f3d3a21465e8627a614762baaf5c81 80704 libdevel optional libboost-thread1.38-dev_1.38.0-7_amd64.deb
 eba1fcda0957e1e79b997967d65ae56a 247156 libs optional libboost-wave1.38.0_1.38.0-7_amd64.deb
 60347b92fdc08b3f6cfd96aadc2be720 550658 libdevel optional libboost-wave1.38-dev_1.38.0-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKSYlc0i2bPSHbMcURAoscAKCPlfk3vELvuPU+biOlawX8UgVyIQCgiNu3
x5HrmZz0YzoIx4Z2+I1Mfjs=
=UWb0
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jul 2009 07:32:11 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:37:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.